<?php
/**
 * @file
 * @brief Called by form.html locally
 *
 */

// call the page
function http_post($variable)
{
    return strip_tags($_POST[$variable]);
}
$parameter=http_build_query(
    array(
        'token'=>http_post('token'),
        'gDossier'=>http_post('gDossier'),
        'FRM_NAME'=>http_post('FRM_NAME'),
        'FRM_EMAIL'=>http_post("FRM_EMAIL"),
        'FRM_TVA'=>http_post('FRM_TVA')
    )
);

// see https://www.php.net/manual/en/ref.curl.php
// calls the remote file
$ch = curl_init();

// set URL and other appropriate options
curl_setopt($ch, CURLOPT_URL, "https://.../receiving.php");
curl_setopt($ch, CURLOPT_HEADER, 0);
curl_setopt($ch, CURLOPT_POST , true);
curl_setopt($ch, CURLOPT_RETURNTRANSFER  , true);
curl_setopt($ch, CURLOPT_POSTFIELDS , $parameter);
// grab URL
$response=curl_exec($ch);

// close cURL resource, and free up system resources
curl_close($ch);

if ( $response == false) {
    echo "it fails";
    return;
}
echo "answer is $response";

